# bzutils -- Python module to interact with bugzilla servers.
# Copyright (C) 2007  Gustavo R. Montesino
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

class Bug:
    """A single bugzilla bug report"""

    def __init__(self, id, product=None, component=None, status=None, 
        resolution=None, reporter=None, assignee=None, summary=None,
        priority=None, severity=None):
        """Creates a bug instance"""

        # information about this bug -- can be set through the arguments
        self.set_id(id)
        self.set_product(product)
        self.set_component(component)
        self.set_status(status)
        self.set_resolution(resolution)
        self.set_reporter(reporter)
        self.set_assignee(assignee)
        self.set_summary(summary)
        self.set_priority(priority)
        self.set_severity(severity)
    
    def get_id(self):
        return self.id
    
    def set_id(self, id):
        self.id = id
    
    def get_product(self):
        return self.product
    
    def set_product(self, product):
        self.product = product
    
    def get_component(self):
        return self.component
    
    def set_component(self, component):
        self.component = component
    
    def get_status(self):
        return self.status
    
    def set_status(self, status):
        self.status = status
    
    def get_resolution(self):
        return self.resolution
    
    def set_resolution(self, resolution):
        self.resolution = resolution
    
    def get_reporter(self):
        return self.reporter
    
    def set_reporter(self, reporter):
        self.reporter = reporter
    
    def get_assignee(self):
        return self.assignee
    
    def set_assignee(self, assignee):
        self.assignee = assignee
    
    def get_summary(self):
        return self.summary
    
    def set_summary(self, summary):
        self.summary = summary
    
    def get_priority(self):
        return self.priority
    
    def set_priority(self, priority):
        self.priority = priority
    
    def get_severity(self):
        return self.severity
    
    def set_severity(self, severity):
        self.severity = severity

# vim: tabstop=4 expandtab shiftwidth=4
